from odoo import http
from odoo.http import request


class OETest(http.Controller):

    @http.route(['/openerp_enterprise_test/favicon.ico'], type='http', auth='public', website=True, multilang=False, sitemap=False)
    def favicon(self, **kw):
        content = request.env["openerp.enterprise.tool"]._get_default_favicon()

        headers = [
            ('Content-Type', 'application/octet-stream'),
            ('X-Content-Type-Options', 'nosniff'),
            ('Content-Length', len(content)),
            ('Content-Disposition', http.content_disposition('favicon.ico')),
            ('Cache-Control', 'public, max-age=%s' % http.STATIC_CACHE_LONG),
        ]
        response = request.make_response(content, headers)
        return response
